Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model.xml.adapter
Class StringObjectMapXmlAdapter

    java.lang.Object
      javax.xml.bind.annotation.adapters.XmlAdapter<JaxbStringObjectMap,Map<String,Object>>
          org.jbpm.services.task.impl.model.xml.adapter.StringObjectMapXmlAdapter

    public class StringObjectMapXmlAdapter

extends XmlAdapter<JaxbStringObjectMap,Map<String,Object>>

Constructor Summary
`StringObjectMapXmlAdapter()`

Method Summary
`static Object` | `deserializeObject(byte[] objBytes, String className, String key)`
`JaxbStringObjectMap` | `marshal(Map<String,Object> map)`
`static byte[]` | `serializeObject(Object obj, String name)`
`Map<String,Object>` | `unmarshal(JaxbStringObjectMap xmlMap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringObjectMapXmlAdapter

    public StringObjectMapXmlAdapter()

Method Detail

### marshal

    public JaxbStringObjectMap marshal(Map<String,Object> map)
                                throws Exception

  Specified by:
    `marshal` in class `XmlAdapter<JaxbStringObjectMap,Map<String,Object>>`
  Throws:
    `Exception`

### serializeObject

    public static byte[] serializeObject(Object obj,
                                         String name)

### unmarshal

    public Map<String,Object> unmarshal(JaxbStringObjectMap xmlMap)

  Specified by:
    `unmarshal` in class `XmlAdapter<JaxbStringObjectMap,Map<String,Object>>`

### deserializeObject

    public static Object deserializeObject(byte[] objBytes,
                                           String className,
                                           String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.